Subject: Re: bug#64596: 30.0.50; On FIXME: in src/buffer.c:1481 (force-mode-line-update)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jul 2023 14:54:06 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 17 Jul 2023 09:22:07 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > Actually, the must_be_updated_p flag is not for xdisp.c, i.e. not for
> >> > redisplay_window and its subroutines.  It is for update_window, which
> >> > is the last, 3rd, stage of a redisplay cycle, most of the code of
> >> > which is in dispnew.c...
> >> 
> >> I have to say that these flag names are very disorienting.
> >> I have first seen this flag while reading xdisp.c, and it was not obvious
> >> at all what it does.
> >
> > Well, update_frame and update_window are the relevant functions in
> > dispnew.c, so "must_be_updated_p" kind-of points to them.
> 
> This does not help the confusion, unfortunately.
> Or maybe the terms "redisplay" and "update" should be explained better
> somewhere near the top of xdisp.c. They clearly have different meaning,
> but not for untrained eye.

"Update" is the general name of the 3rd step of "redisplay cycle".  It
takes its name from the function which enters this step: update_frame.